List all connectors & actions metadata
curl --request GET \
--url https://api.stackone.com/actions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.stackone.com/actions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.stackone.com/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stackone.com/actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stackone.com/actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stackone.com/actions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stackone.com/actions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"next": "<string>",
"data": [
{
"account_id": "<string>",
"integration_id": "<string>",
"connector_profile_id": "<string>",
"version": "<string>",
"name": "<string>",
"key": "<string>",
"icon": "<string>",
"description": "<string>",
"release_stage": "<string>",
"categories": [
"hris",
"ats"
],
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
],
"scope_definitions": [
{
"name": "<string>",
"description": "<string>",
"includes": [
"<string>"
]
}
],
"actions": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"schema_type": "<string>",
"syncable": true,
"supports_incremental": true,
"has_required_parameters": true,
"lookback_default_window": "<string>",
"supports_verify_deletions": true,
"tags": [
"<string>"
],
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
],
"action_details": {},
"required_scopes": [
"<string>"
]
}
],
"event_actions": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"release_stage": "<string>",
"requires_manual_setup": true,
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
]
}
]
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}List all connectors & actions metadata
Retrieves metadata for all connectors and their actions available on the platform. Use this endpoint to discover which connectors and actions are available, including those that have not yet been configured, for example to display the full catalog of integrations and actions.
GET
/
actions
List all connectors & actions metadata
curl --request GET \
--url https://api.stackone.com/actions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.stackone.com/actions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.stackone.com/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stackone.com/actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stackone.com/actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stackone.com/actions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stackone.com/actions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"next": "<string>",
"data": [
{
"account_id": "<string>",
"integration_id": "<string>",
"connector_profile_id": "<string>",
"version": "<string>",
"name": "<string>",
"key": "<string>",
"icon": "<string>",
"description": "<string>",
"release_stage": "<string>",
"categories": [
"hris",
"ats"
],
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
],
"scope_definitions": [
{
"name": "<string>",
"description": "<string>",
"includes": [
"<string>"
]
}
],
"actions": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"schema_type": "<string>",
"syncable": true,
"supports_incremental": true,
"has_required_parameters": true,
"lookback_default_window": "<string>",
"supports_verify_deletions": true,
"tags": [
"<string>"
],
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
],
"action_details": {},
"required_scopes": [
"<string>"
]
}
],
"event_actions": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"release_stage": "<string>",
"requires_manual_setup": true,
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
]
}
]
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}This endpoint is being phased out. Use these instead:
GET /v2/connectors/{id}withexpand=actionsfor a connector’s actions. Its authentication guides come back underauthentication_methodswithout an expansion.GET /v2/connectorsfor the valid connector keys.
Authorizations
Query Parameters
Was this page helpful?